Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## eia.modelo
Class InfoProyecto

    java.lang.Object
      eia.modelo.InfoProyecto

    public class InfoProyecto

extends java.lang.Object

Clase que implementa la ficha con la información de un proyecto de estudio de impacto ambiental.

Constructor Summary
`InfoProyecto()` Constructor por defecto.
`InfoProyecto(java.lang.String nombre, java.lang.String descripcion, java.lang.String compania, java.lang.String autor, java.lang.String poblacion, java.lang.String provincia, java.lang.String pais, java.util.Date fecha, int vidaUtil)` Constructor por parámetros.

Method Summary
`java.lang.String` | `getAutor()` Accesor para el atributo 'autor'.
`java.lang.String` | `getCompania()` Accesor para el atributo 'compania'.
`java.lang.String` | `getDescripcion()` Accesor para el atributo 'descripcion'.
`java.util.Date` | `getFecha()` Accesor para el atributo 'fecha'.
`java.lang.String` | `getNombre()` Accesor para el atributo 'nombre'.
`java.lang.String` | `getPais()` Accesor para el atributo 'pais'.
`java.lang.String` | `getPoblacion()` Accesor para el atributo 'poblacion'.
`java.lang.String` | `getProvincia()` Accesor para el atributo 'provincia'.
`int` | `getVidaUtil()` Accesor para el atributo 'vidaUtil'.
`void` | `setAutor(java.lang.String autor)` Mutador para el atributo 'autor'.
`void` | `setCompania(java.lang.String compania)` Mutador para el atributo 'compania'.
`void` | `setDescripcion(java.lang.String descripcion)` Mutador para el atributo 'descripcion'.
`void` | `setFecha(java.util.Date fecha)` Mutador para el atributo 'fecha'.
`void` | `setNombre(java.lang.String nombre)` Mutador para el atributo 'nombre'.
`void` | `setPais(java.lang.String pais)` Mutador para el atributo 'pais'.
`void` | `setPoblacion(java.lang.String poblacion)` Mutador para el atributo 'poblacion'.
`void` | `setProvincia(java.lang.String provincia)` Mutador para el atributo 'provincia'.
`void` | `setVidaUtil(int vidaUtil)` Mutador para el atributo 'vidaUtil'.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InfoProyecto

    public InfoProyecto()

  Constructor por defecto.

### InfoProyecto

    public InfoProyecto(java.lang.String nombre,
                        java.lang.String descripcion,
                        java.lang.String compania,
                        java.lang.String autor,
                        java.lang.String poblacion,
                        java.lang.String provincia,
                        java.lang.String pais,
                        java.util.Date fecha,
                        int vidaUtil)

  Constructor por parámetros.

  Parameters:
    `nombre` - Nombre del proyecto de estudio.
    `descripcion` - Descripción del proyecto de estudio.
    `compania` - Compañía propietaria del proyecto de estudio.
    `autor` - Autor propietario del proyecto de estudio.
    `poblacion` - Población de realización del proyecto de estudio.
    `provincia` - Provincia de realización del proyecto de estudio.
    `pais` - Pais de realización del proyecto de estudio.
    `fecha` - Fecha de realización del proyecto de estudio.
    `vidaUtil` - Vida útil del proyecto de estudio.

Method Detail

### getNombre

    public java.lang.String getNombre()

  Accesor para el atributo 'nombre'.

  Returns:
    Nombre del proyecto de estudio.

### setNombre

    public void setNombre(java.lang.String nombre)

  Mutador para el atributo 'nombre'.

  Parameters:
    `nombre` - Nombre a asociar del proyecto de estudio.

### getDescripcion

    public java.lang.String getDescripcion()

  Accesor para el atributo 'descripcion'.

  Returns:
    Descripción del proyecto de estudio.

### setDescripcion

    public void setDescripcion(java.lang.String descripcion)

  Mutador para el atributo 'descripcion'.

  Parameters:
    `descripcion` - Descripción a asociar del proyecto de estudio.

### getCompania

    public java.lang.String getCompania()

  Accesor para el atributo 'compania'.

  Returns:
    Compañía propietaria del proyecto de estudio.

### setCompania

    public void setCompania(java.lang.String compania)

  Mutador para el atributo 'compania'.

  Parameters:
    `compania` - Compañía propietaria del proyecto de estudio a asociar.

### getAutor

    public java.lang.String getAutor()

  Accesor para el atributo 'autor'.

  Returns:
    Autor propietario del proyecto de estudio.

### setAutor

    public void setAutor(java.lang.String autor)

  Mutador para el atributo 'autor'.

  Parameters:
    `autor` - Autor propietario del proyecto de estudio a asociar.

### getPoblacion

    public java.lang.String getPoblacion()

  Accesor para el atributo 'poblacion'.

  Returns:
    Población de realización del proyecto de estudio.

### setPoblacion

    public void setPoblacion(java.lang.String poblacion)

  Mutador para el atributo 'poblacion'.

  Parameters:
    `poblacion` - Población de realización del proyecto de estudio a asociar.

### getProvincia

    public java.lang.String getProvincia()

  Accesor para el atributo 'provincia'.

  Returns:
    Provincia de realización del proyecto de estudio.

### setProvincia

    public void setProvincia(java.lang.String provincia)

  Mutador para el atributo 'provincia'.

  Parameters:
    `provincia` - Provincia de realización del proyecto de estudio a asociar.

### getPais

    public java.lang.String getPais()

  Accesor para el atributo 'pais'.

  Returns:
    Pais de realización del proyecto de estudio.

### setPais

    public void setPais(java.lang.String pais)

  Mutador para el atributo 'pais'.

  Parameters:
    `pais` - Pais de realización del proyecto de estudio a asociar.

### getFecha

    public java.util.Date getFecha()

  Accesor para el atributo 'fecha'.

  Returns:
    Fecha de realización del proyecto de estudio.

### setFecha

    public void setFecha(java.util.Date fecha)

  Mutador para el atributo 'fecha'.

  Parameters:
    `fecha` - Fecha de realización del proyecto de estudio a asociar.

### getVidaUtil

    public int getVidaUtil()

  Accesor para el atributo 'vidaUtil'.

  Returns:
    Vida útil del proyecto de estudio.

### setVidaUtil

    public void setVidaUtil(int vidaUtil)

  Mutador para el atributo 'vidaUtil'.

  Parameters:
    `vidaUtil` - Vida útil del proyecto de estudio a asociar.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD